--[[
Localization for ClassButtons
Change the words in "" quotes to reflect your language!
]]

ClassButtonsSpells = {
	DEATHKNIGHT = {
		{
			 "Death Gate",
			 "Runeforging",
			 "Blood Tap",
			 "Horn of Winter",
			 "Path of Frost",
			 "Empower Rune Weapon",
		},
		{},
		{},
		{},
		{
			"Raise Dead",
			"Death Pact",
			"Summon Gargoyle",
			"Army of the Dead",
		},
	},
    DRUID = {
        {
            "Gift of the Wild",
            "Mark of the Wild",
            "Thorns",
            "Teleport: Moonglade",
        },
        {},
        {},
        {},
        {
			"Revive",
            "Rebirth",
		},
    },
    HUNTER = {
        {
            "Aspect of the Monkey",
            "Aspect of the Hawk",
            "Aspect of the Cheetah",
            "Aspect of the Beast",
            "Aspect of the Pack",
            "Aspect of the Wild",
            "Aspect of the Viper",
			"Aspect of the Dragonhawk",
            "Trueshot Aura",
        },
        {},
        {},
        {},
        {
            "Immolation Trap",
            "Freezing Trap",
            "Frost Trap",
            "Explosive Trap",
            "Snake Trap",
			"Freezing Arrow",
        },
    },
    MAGE = {
        {
            "Teleport: Ironforge",
            "Teleport: Stormwind",
            "Teleport: Exodar",
            "Teleport: Darnassus",
			"Teleport: Theramore",
			
            "Teleport: Orgrimmar",
            "Teleport: Undercity",
            "Teleport: Silvermoon",
            "Teleport: Thunder Bluff",
			"Teleport: Stonard",
			
            "Teleport: Shattrath",
			"Teleport: Dalaran",
        },
        {
            "Portal: Ironforge",
            "Portal: Stormwind",
            "Portal: Exodar",
            "Portal: Darnassus",
			"Portal: Theramore",
			
            "Portal: Orgrimmar",
            "Portal: Undercity",
            "Portal: Silvermoon",
            "Portal: Thunder Bluff",
			"Portal: Stonard",
			
            "Portal: Shattrath",
			"Portal: Dalaran",
        },
        {
            "Conjure Water",
            "Conjure Food",
			"Conjure Mana Gem",
			"Conjure Refreshment",
            "Ritual of Refreshment",
        },
        {},
        {
            "Frost Armor",
            "Ice Armor",
            "Mage Armor",
            "Molten Armor",
			"Fire Ward",
			"Frost Ward",
			"Arcane Intellect",
			"Arcane Brilliance",
        },
    },
    PALADIN = {
        {
            "Blessing of Might",
            "Blessing of Wisdom",
            "Blessing of Kings",
            "Blessing of Sanctuary",
			"Hand of Protection",
			"Hand of Freedom",
			"Hand of Salvation",
			"Hand of Sacrifice",
        },
        {
            "Greater Blessing of Might",
            "Greater Blessing of Wisdom",
            "Greater Blessing of Kings",
            "Greater Blessing of Sanctuary",
        },
        {},
        {},
        {
            "Seal of Righteousness",
            "Seal of Light",
            "Seal of Wisdom",
            "Seal of Justice",
            "Seal of Vengeance",
            "Seal of Blood",
            "Seal of Command",
			"Seal of Corruption",
			"Seal of the Martyr",
        },
    },
    PRIEST = {
        {
            "Power Word: Fortitude",
            "Shadow Protection",
            "Divine Spirit",
            "Inner Fire",
			"Devouring Plague",
			"Fear Ward",
            "Hymn of Hope",
            "Desperate Prayer",
        },
        {
            "Prayer of Fortitude",
            "Prayer of Shadow Protection",
            "Prayer of Spirit",
            "Inner Focus",
			"Levitate",
        },
        {},
        {},
        {
            "Mind Control",
            "Mind Soothe",
            "Mind Vision",
			"Shadowfiend",
            "Resurrection",
        },
    },
    ROGUE = {
		{
		},
		{},
		{},
		{},
		{
			"Sprint",
			"Evasion",
			"Distract",
			"Pick Lock",
		},
    },
    SHAMAN = {
        {
            "Stoneskin Totem",
            "Earthbind Totem",
            "Stoneclaw Totem",
            "Strength of Earth Totem",
            "Tremor Totem",
            "Earth Elemental Totem",
        },
        {
            "Searing Totem",
            "Fire Nova Totem",
            "Magma Totem",
            "Frost Resistance Totem",
            "Flametongue Totem",
            "Totem of Wrath",
            "Fire Elemental Totem",
        },
        {
            "Healing Stream Totem",
            "Poison Cleansing Totem",
            "Fire Resistance Totem",
            "Mana Spring Totem",
            "Disease Cleansing Totem",
            "Mana Tide Totem",
        },
        {
            "Grounding Totem",
            "Nature Resistance Totem",
            "Windfury Totem",
            "Sentry Totem",
            "Wrath of Air Totem",
        },
        {
            "Earthliving Weapon",
            "Rockbiter Weapon",
            "Flametongue Weapon",
            "Frostbrand Weapon",
            "Windfury Weapon",
            "Lightning Shield",
            "Water Shield",
			"Earth Shield",
			"Water Breathing",
			"Water Walking",
			"Ancestral Spirit",
			"Reincarnation",
        },
    },
    WARLOCK = {
        {
            "Summon Imp",
            "Summon Voidwalker",
            "Summon Succubus",
            "Summon Felhunter",
            "Summon Felguard",
            "Inferno",
            "Ritual of Doom",
            "Soul Link",
            "Fel Domination",
            "Eye of Kilrogg",
        },
        {
            "Create Healthstone",
            "Create Spellstone",
            "Create Firestone",
			"Create Soulstone",
			"Ritual of Souls",
			"Ritual of Summoning",
        },
        {
			"Detect Invisibility",
			"Unending Breath",
		},
        {},
        {
            "Curse of Exhaustion",
            "Curse of Agony",
            "Curse of Doom",
            "Curse of the Elements",
            "Curse of Tongues",
            "Curse of Weakness",
        },
    },
    WARRIOR = {
        {
            "Battle Shout",
            "Commanding Shout",
            "Demoralizing Shout",
            "Intimidating Shout",
            "Challenging Shout",
        },
        {},
        {},
        {},
        {
			"Heroic Throw",
			"Shattering Throw",
		},
    },
}

ClassButtonsGlyphs = {
	DEATHKNIGHT = {
		{ "Raise Dead", "Glyph of Raise Dead" },
	},
	DRUID = {
		{ "Rebirth", "Glyph of Unburdened Rebirth" },
	},
	HUNTER = {},
	MAGE = {
		{ "Slow Fall", "Glyph of Slow Fall" },
	},
	PALADIN = {},
	PRIEST = {
		{ "Levitate", "Glyph of Levitate" },
	},
	ROGUE = {},
	SHAMAN = {
		{ "Water Walking", "Glyph of Water Walking" },
		{ "Water Breathing", "Glyph of Water Breathing" },
	},	
	WARLOCK = {},
	WARRIOR = {},
}

ClassButtonsSpellsWithCounts = {
	DEATHKNIGHT = {
		{ "Raise Dead", 37201 },
	},
	DRUID = {
		{ "Gift of the Wild", "", "", "", 17021, 17026, 22148, 44605 },
			-- filler for i loop, filler, filler,  WILD BERRIES, WILD THORNROOT, WILD QUILLVINE, WILD SPINELEAF
		{ "Rebirth", 17034, 17035, 17036, 17037, 17038, 22147, 44614 },
			-- MAPLE SEED, STRANGLETHORN SEED, ASHWOOD SEED, HORNBEAM SEED, IRONWOOD SEED, FLINTWEED SEED, STARLEAF SEED
	},
	HUNTER = {},
	MAGE = {
		{ "Teleport: Ironforge", 17031 },
		{ "Teleport: Stormwind", 17031 },
		{ "Teleport: Exodar", 17031 },
		{ "Teleport: Darnassus", 17031 },
		{ "Teleport: Theramore", 17031 },
		{ "Teleport: Orgrimmar", 17031 },
		{ "Teleport: Undercity", 17031 },
		{ "Teleport: Silvermoon", 17031 },
		{ "Teleport: Thunder Bluff", 17031 },
		{ "Teleport: Stonard", 17031 },
		{ "Teleport: Shattrath", 17031 },
		{ "Teleport: Dalaran", 17031 },
		{ "Portal: Ironforge", 17032 },
		{ "Portal: Stormwind", 17032 },
		{ "Portal: Exodar", 17032 },
		{ "Portal: Darnassus", 17032 },
		{ "Portal: Theramore", 17032 },
		{ "Portal: Orgrimmar", 17032 },
		{ "Portal: Undercity", 17032 },
		{ "Portal: Silvermoon", 17032 },
		{ "Portal: Thunder Bluff", 17032 },
		{ "Portal: Stonard", 17032 },
		{ "Portal: Shattrath", 17032 },
		{ "Portal: Dalaran", 17032 },
		{ "Ritual of Refreshment", 17020 },
		{ "Arcane Brilliance", 17020 },
		{ "Slow Fall", 17056 },
	},
	PALADIN = {
		{ "Greater Blessing of Might", 21177 },
		{ "Greater Blessing of Wisdom", 21177 },
		{ "Greater Blessing of Kings", 21177 },
		{ "Greater Blessing of Sanctuary", 21177 },
	},
	PRIEST = {
		{ "Prayer of Fortitude", 17028, 17029, 17029, 44615 },
		{ "Prayer of Shadow Protection", 17028, 17029, 17029, 44615 },
		{ "Prayer of Spirit", 17028, 17029, 17029, 44615 },
			-- HOLY CANDLE, SACRED CANDLE, SACRED CANDLE, DEVOUT CANDLE
		{ "Levitate", 17056 },
	},
	ROGUE = {},
	SHAMAN = {
		{ "Water Walking", 17058 },
		{ "Water Breathing", 17057 },
		{ "Reincarnation", 17030 },
	},	
	WARLOCK = {
		{ "Summon Voidwalker", 6265 },
		{ "Summon Succubus", 6265 },
		{ "Summon Felhunter", 6265 },
		{ "Summon Felguard", 6265 },
		{ "Create Healthstone", 6265 },
		{ "Create Spellstone", 6265 },
		{ "Create Firestone", 6265 },
		{ "Soulshatter", 6265 },
		{ "Ritual of Summoning", 6265 },
		{ "Create Soulstone", 6265 },
		{ "Ritual of Souls", 6265 },
		{ "Soul Fire", 6265 },		
		{ "Enslave Demon", 6265 },
		{ "Inferno", 5565 },
		{ "Ritual of Doom", 16583 },
	},
	WARRIOR = {},
}
